function getSearchImages(sw,sh,mw,mh,isBack){
var ar=new Array();
if(isBack==0){
var links=document.getElementsByTagName("img"); 
var total=links.length;	
for(i=0;i<total;i++)
{ 
ar[i]=links[i].src;
}
}
var lenAr=ar.length;
if(isBack==1){
var All = document.getElementsByTagName("*");
var Length = All.length;
for(var I = 0; I < Length; I++)
{
   src=getStyle(All[I],'backgroundImage');
  // window.external.output(getStyle(All[I],'backgroundColor'));
   if(src!=null&&src.length>7)
	{
		src=src.replace("url","").replace("(","").replace(")","").replace("\"","").replace("\"","");
		
	 ar[lenAr]=src;
	  
     lenAr++;
	}
}
}
ar=ar.distinct();
str="";	
for(i=0;i<ar.length;i++)
{ 
str+= getImages(ar[i],sw,sh,mw,mh);
}



return str; 
} 
 
function getStyle(elem,name)
{
	//如果该属性存在于style[]中，则它最近被设置过(且就是当前的)
	if(elem.style[name])
	{
		return elem.style[name];
	}
	//否则，尝试IE的方式
	else if(elem.currentStyle)
	{
		return elem.currentStyle[name];
	}
	//或者W3C的方法，如果存在的话
	else if(document.defaultView && document.defaultView.getComputedStyle)
	{
	//它使用传统的"text-Align"风格的规则书写方式，而不是"textAlign"
	name = name.replace(/([A-Z])/g,"-$1");
	name = name.toLowerCase();
	
	//获取style对象并取得属性的值(如果存在的话)
	var s = document.defaultView.getComputedStyle(elem,"");
	return s && s.getPropertyValue(name);
	//否则，就是在使用其它的浏览器
	}
	else
	{
		return null;
	}
}
function getImages(src,sw,sh,mw,mh)
{     
   var imageStr = "";  
 var newImg=new Image(); 
 newImg.src=src; 
 if(newImg.width>=sw&&newImg.height>=sh)
	{   
ok=false; 
if(mw!=0)
{
	if(newImg.width<=mw) 
{ ok=true; 
} 
}
else
{ ok=true;
 }
if(ok){
if(mh!=0) 
{ if(newImg.height<=mh)
		 { 
ok=true;
 }
}else 
{ ok=true; 
}
		if(ok) 
			{ 
imageStr+=' <ul> <li class="border"><a href="'+ src+'" target="_blank"><img src="'+ src+'"  onload="loadImg(this)"></a></li><li> <input type="checkbox" name="down" value="'+src+'"><a href="javascript:getLikeImg(\''+src+'\')">相近图片</a></li> </ul>';
// imageStr+=" <img src='"+ src+"' style='margin:10px;cursor:pointer;' onclick='getLikeImg(this)'/><br/><input name='down' type='checkbox' value='"+src+"' />  <span onclick=\"download('"+src+"')\"  style='cursor:pointer;'>"+src+"</span><br/> ";
 } 
} 
}
  
return imageStr; 
};

 Array.prototype.distinct = function()
{
    var k=0,n=this.length;
    var arr = new Array();
    for(var i=0;i<n;i++)
    {
        for(var j=i+1;j<n;j++)
        {
            if(this[i]==this[j])
            {
                this[i]=null;
                break;
            }
        }
    }
    
    for(var i=0;i<n;i++)
    {
        if(this[i])
        {
            arr[k++]=this[i]; // arr.push(this[i]);
        }
    }
    
    return arr;
}